Bug 620422 - sblim-smis-hba spec file issues
sblim-smis-hba spec file issues
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sblim-smis-hba (Show other bugs)
6.1
All Linux
low Severity low
: rc
: ---
Assigned To: Vitezslav Crhonek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-02 09:38 EDT by Vitezslav Crhonek
Modified: 2011-09-07 09:08 EDT (History)
5 users (show)

See Also:
Fixed In Version: sblim-smis-hba-1.0.0-2.el6
Doc Type: Bug Fix
Doc Text:
Prior to this update, the sblim-smis-hba package's license field contained both the EPL and SNIA licenses, although no code in the package is licensed under the SNIA license. This bug has been fixed in this update by removing the SNIA license from the license field so that the field now contains the correct information.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-07 09:08:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1270 normal SHIPPED_LIVE sblim-smis-hba bug fix update 2011-09-07 09:07:59 EDT

  None (edit)
Description Vitezslav Crhonek 2010-08-02 09:38:57 EDT
Please fix these spec file issues in sblim-smis-hba package:

rpmlint: sblim-smis-hba.src: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 12)
rpmlint: sblim-smis-hba.src: E: percent-in-dependency tog-pegasus-devel %{tog_pegasus_version}
rpmlint: sblim-smis-hba.src: W: non-standard-group Systems Management/Base
Comment 1 Jiri Popelka 2010-08-02 11:05:25 EDT
I didn't find any source file under SNIA license.
If there's no such one please remove the unnecessary SNIA license from spec file.
Comment 2 RHEL Product and Program Management 2011-01-07 10:28:54 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 5 Petr Kovar 2011-06-29 07:15:16 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, the sblim-smis-hba package's license field contained both the EPL and SNIA licenses, although no code in the package is licensed under the SNIA license. This bug has been fixed in this update by removing the SNIA license from the license field so that the field now contains the correct information.
Comment 7 Martin Cermak 2011-07-27 05:06:25 EDT
rpmlint: compared sblim-smis-hba-1.0.0-1.el6 vs sblim-smis-hba-1.0.0-4.el6:
----------------------------------------------------------------------------

1.0.0-4 looks much better, but still there are warnings and even one error:

# ls
sblim-smis-hba-1.0.0-1.el6.spec     sblim-smis-hba-1.0.0-1.el6.x86_64.rpm  sblim-smis-hba-1.0.0-4.el6.src.rpm
sblim-smis-hba-1.0.0-1.el6.src.rpm  sblim-smis-hba-1.0.0-4.el6.spec        sblim-smis-hba-1.0.0-4.el6.x86_64.rpm
#
# rpmlint *1.0.0-1*
sblim-smis-hba-1.0.0-1.el6.spec:8: W: non-standard-group Systems Management/Base
sblim-smis-hba-1.0.0-1.el6.spec:65: W: rpm-buildroot-usage %build LDFLAGS="-L${RPM_BUILD_ROOT}%{_libdir}/cmpi";
sblim-smis-hba-1.0.0-1.el6.spec:12: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 12)
sblim-smis-hba.src: W: unexpanded-macro dependency tog-pegasus-devel >= %{tog_pegasus_version} %{tog_pegasus_version}
sblim-smis-hba.src: I: enchant-dictionary-not-found en_US
sblim-smis-hba.src: W: non-standard-group Systems Management/Base
sblim-smis-hba.src:65: W: rpm-buildroot-usage %build LDFLAGS="-L${RPM_BUILD_ROOT}%{_libdir}/cmpi";
sblim-smis-hba.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 12)
sblim-smis-hba.x86_64: E: explicit-lib-dependency libhbaapi
sblim-smis-hba.x86_64: W: non-standard-group Systems Management/Base
sblim-smis-hba.x86_64: W: devel-file-in-non-devel-package /usr/lib64/cmpi/libcmpiLinux_ECTP_Provider.so
sblim-smis-hba.x86_64: W: devel-file-in-non-devel-package /usr/lib64/cmpi/libcmpiSMIS_HBA_HDR_Provider.so
sblim-smis-hba.x86_64: W: devel-file-in-non-devel-package /usr/lib64/cmpi/libcmpiLinux_Common.so
2 packages and 1 specfiles checked; 1 errors, 11 warnings.
# 
# rpmlint *1.0.0-4*
sblim-smis-hba-1.0.0-4.el6.spec:67: W: rpm-buildroot-usage %build LDFLAGS="-L${RPM_BUILD_ROOT}%{_libdir}/cmpi";
sblim-smis-hba.src: I: enchant-dictionary-not-found en_US
sblim-smis-hba.src:67: W: rpm-buildroot-usage %build LDFLAGS="-L${RPM_BUILD_ROOT}%{_libdir}/cmpi";
sblim-smis-hba.x86_64: E: explicit-lib-dependency libhbaapi
sblim-smis-hba.x86_64: W: devel-file-in-non-devel-package /usr/lib64/cmpi/libcmpiLinux_ECTP_Provider.so
sblim-smis-hba.x86_64: W: devel-file-in-non-devel-package /usr/lib64/cmpi/libcmpiSMIS_HBA_HDR_Provider.so
sblim-smis-hba.x86_64: W: devel-file-in-non-devel-package /usr/lib64/cmpi/libcmpiLinux_Common.so
2 packages and 1 specfiles checked; 1 errors, 5 warnings.
# 
# rpm -q rpmlint
rpmlint-0.94-2.el6.noarch
# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 6.1 (Santiago)

Please, state "waivers" for aforementioned warnings and error, or fix the spec.
Comment 8 Vitezslav Crhonek 2011-07-27 09:14:02 EDT
(In reply to comment #7)
> rpmlint: compared sblim-smis-hba-1.0.0-1.el6 vs sblim-smis-hba-1.0.0-4.el6:
> ----------------------------------------------------------------------------
> 
> 1.0.0-4 looks much better, but still there are warnings and even one error:
> 
> # ls
> sblim-smis-hba-1.0.0-1.el6.spec     sblim-smis-hba-1.0.0-1.el6.x86_64.rpm 
> sblim-smis-hba-1.0.0-4.el6.src.rpm
> sblim-smis-hba-1.0.0-1.el6.src.rpm  sblim-smis-hba-1.0.0-4.el6.spec       
> sblim-smis-hba-1.0.0-4.el6.x86_64.rpm
> #
> # rpmlint *1.0.0-1*
> sblim-smis-hba-1.0.0-1.el6.spec:8: W: non-standard-group Systems
> Management/Base
> sblim-smis-hba-1.0.0-1.el6.spec:65: W: rpm-buildroot-usage %build
> LDFLAGS="-L${RPM_BUILD_ROOT}%{_libdir}/cmpi";
> sblim-smis-hba-1.0.0-1.el6.spec:12: W: mixed-use-of-spaces-and-tabs (spaces:
> line 3, tab: line 12)
> sblim-smis-hba.src: W: unexpanded-macro dependency tog-pegasus-devel >=
> %{tog_pegasus_version} %{tog_pegasus_version}
> sblim-smis-hba.src: I: enchant-dictionary-not-found en_US
> sblim-smis-hba.src: W: non-standard-group Systems Management/Base
> sblim-smis-hba.src:65: W: rpm-buildroot-usage %build
> LDFLAGS="-L${RPM_BUILD_ROOT}%{_libdir}/cmpi";
> sblim-smis-hba.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab:
> line 12)
> sblim-smis-hba.x86_64: E: explicit-lib-dependency libhbaapi
> sblim-smis-hba.x86_64: W: non-standard-group Systems Management/Base
> sblim-smis-hba.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/cmpi/libcmpiLinux_ECTP_Provider.so
> sblim-smis-hba.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/cmpi/libcmpiSMIS_HBA_HDR_Provider.so
> sblim-smis-hba.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/cmpi/libcmpiLinux_Common.so
> 2 packages and 1 specfiles checked; 1 errors, 11 warnings.
> # 
> # rpmlint *1.0.0-4*
> sblim-smis-hba-1.0.0-4.el6.spec:67: W: rpm-buildroot-usage %build
> LDFLAGS="-L${RPM_BUILD_ROOT}%{_libdir}/cmpi";

Intentional. The package will not build without it.

> sblim-smis-hba.src: I: enchant-dictionary-not-found en_US
> sblim-smis-hba.src:67: W: rpm-buildroot-usage %build
> LDFLAGS="-L${RPM_BUILD_ROOT}%{_libdir}/cmpi";

See above.

> sblim-smis-hba.x86_64: E: explicit-lib-dependency libhbaapi

We require libhbaapi package (which ships libHBAAPI library), so it is probably not necessary to explicitly state the requirement...

Nevertheless, it's nothing serious and not a reason for respin of whole package by itself. Newer rpmlint doesn't report it at all.

> sblim-smis-hba.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/cmpi/libcmpiLinux_ECTP_Provider.so
> sblim-smis-hba.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/cmpi/libcmpiSMIS_HBA_HDR_Provider.so
> sblim-smis-hba.x86_64: W: devel-file-in-non-devel-package
> /usr/lib64/cmpi/libcmpiLinux_Common.so

Intentional. These libraries are not devel files but correctly placed CMPI providers.

> 2 packages and 1 specfiles checked; 1 errors, 5 warnings.
> # 
> # rpm -q rpmlint
> rpmlint-0.94-2.el6.noarch
> # cat /etc/redhat-release 
> Red Hat Enterprise Linux Server release 6.1 (Santiago)
> 
> Please, state "waivers" for aforementioned warnings and error, or fix the spec.
Comment 10 errata-xmlrpc 2011-09-07 09:08:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1270.html

Note You need to log in before you can comment on or make changes to this bug.